Date: Fri, 22 Jun 2007 16:51:26 +0200
From: Marcus Meissner <meissner@suse.de>
To: suse-security-announce@suse.com
Subject: [security-announce] SUSE Security Summary Report SUSE-SR:2007:013


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

______________________________________________________________________________

                        SUSE Security Summary Report

        Announcement ID:        SUSE-SR:2007:013
        Date:                   Fri, 22 Jun 2007 16:00:00 +0000
        Cross-References:       CVE-2005-2177, CVE-2007-1262, CVE-2007-1804
                                CVE-2007-2052, CVE-2007-2445, CVE-2007-2500
                                CVE-2007-2524, CVE-2007-2589, CVE-2007-2756

    Content of this advisory:
        1) Solved Security Vulnerabilities:
            - squirrelmail cross site scripting problems
            - OpenOffice_org macro virus "BadBunny"
            - Blackdown JDK/JRE
            - gnash denial of service
            - libpng denial of service
            - python memory disclosure
            - pulseaudio denial of service
            - gd denial of service
            - otrs cross site scripting problem
            - net-snmp denial of service
        2) Pending Vulnerabilities, Solutions, and Work-Arounds:
            - Mozilla Firefox 2.0.0.4 update
            - file security problems
            - freetype2 problems
        3) Authenticity Verification and Additional Information

______________________________________________________________________________

1) Solved Security Vulnerabilities

   To avoid flooding mailing lists with SUSE Security Announcements for minor
   issues, SUSE Security releases weekly summary reports for the low profile
   vulnerability fixes. The SUSE Security Summary Reports do not list md5 sums
   or download URLs like the SUSE Security Announcements that are released for
   more severe vulnerabilities.

   Fixed packages for the following incidents are already available on our FTP
   server and via the YaST Online Update.

   - squirrelmail cross site scripting problems

     squirrelmail was updated to fix two cross-site-scripting
     vulnerabilities that can be used by an attacker to read opened
     emails (CVE-2007-1262) and to send email on behalf of the user
     (CVE-2007-2589).

     This problem was fixed for SUSE Linux 10.0, 10.1 and openSUSE 10.2.

   - OpenOffice_org macro virus "BadBunny"

     Since May this year a macro virus for OpenOffice_org is going
     around. The code is mostly harmless and can be classified as a
     proof-of-concept virus.  OpenOffice_org does not execute macros in
     a document per default, the user is asked to enable macros when
     the document is opened.  We encourage users not to enable macros
     from untrusted sources. When you receive a document from a known
     person via email, ask this person first before you open the document.

     More information: http://secunia.com/virus_information/38489/sbbadbunny-a/

   - Blackdown JDK/JRE
     The Blackdown JDK/JRE suffers from the same problems as Sun JDK/JRE,
     like for instance the current image decoding problems.

     In the case of the Blackdown Java implementation there is no update
     package or source-code available, therefore we can not provide
     security updates. If possible switch to Sun's Java package.

     Only SUSE Linux Enterprise Desktop 1.0 contains the Blackdown JDK.

   - gnash denial of service
     A denial of service problem was fixed in the free flash player gnash.
     (CVE-2007-2500)

     gnash is shipped only on openSUSE 10.2 and was fixed there.

   - libpng denial of service

     Applications using libpng can crash if libpng is ask to
     process a grayscale image with a malformed (bad CRC) tRNS
     chunk. (CVE-2007-2445)

     This problem was fixed for all SUSE Linux based distributions.

   - python memory disclosure
     A off-by-one error in the PyLocale_strxfrm() function in python was
     fixed which can lead to a memory information leak. (CVE-2007-2052)

     This has been fixed for all SUSE Linux based products.

   - pulseaudio denial of service
     pulseaudio was updated to fix a denial-of-service bug that can be
     triggered remotely. (CVE-2007-1804)

     Only openSUSE 10.2 contains pulseaudio and is affected by this bug.

   - gd denial of service
     A denial-of-service bug in libgd that can occur while processing
     crafted images was fixed. (CVE-2007-2756)

     This problem has been fixed for all SUSE Linux based distributions.

   - OTRS cross site scripting problem

     A cross site scripting (XSS) vulnerability in OTRS was fixed.
     (CVE-2007-2524).

   - net-snmp denial of service

     This update fixes a denial of service problem which could be
     triggered by a packet containing a single byte. (CVE-2005-2177)

     This problem only affected SUSE Linux 9.3 and 10.0 and was fixed
     for these distributions.
______________________________________________________________________________

2) Pending Vulnerabilities, Solutions, and Work-Arounds

   - Mozilla Firefox 2.0.0.4 update
     The Mozilla Firefox 1.5.0.12 / 2.0.0.4 release fixes various
     security issues.

     We have released updates for all packages, except for SLE10. Once
     this update is out, a full advisory will be released.

   - file security problems

     Additional file security problems were found. Updates have been
     released for all distributions for all but SUSE Linux 10.1 and
     SLE 10. Once updates for these distributions are released, a full
     advisory will follow.

   - freetype2 problems

     TTF related security problems  were fixed in the freetype2
     packages. Packages for all distributions but SUSE Linux 10.1 and
     SLE 10 have been released already.

     Once the latter are released, a full advisory will follow.
______________________________________________________________________________

3) Authenticity Verification and Additional Information

  - Announcement authenticity verification:

    SUSE security announcements are published via mailing lists and on Web
    sites. The authenticity and integrity of a SUSE security announcement is
    guaranteed by a cryptographic signature in each announcement. All SUSE
    security announcements are published with a valid signature.

    To verify the signature of the announcement, save it as text into a file
    and run the command

      gpg --verify <file>

    replacing <file> with the name of the file containing the announcement.
    The output for a valid signature looks like:

      gpg: Signature made <DATE> using RSA key ID 3D25D3D9
      gpg: Good signature from "SuSE Security Team <security@suse.de>"

    where <DATE> is replaced by the date the document was signed.

    If the security team's key is not contained in your key ring, you can
    import it from the first installation CD. To import the key, use the
    command

      gpg --import gpg-pubkey-3d25d3d9-36e12d04.asc

  - Package authenticity verification:

    SUSE update packages are available on many mirror FTP servers all over the
    world. While this service is considered valuable and important to the free
    and open source software community, the authenticity and integrity of a
    package needs to be verified to ensure that it has not been tampered with.

    The internal RPM package signatures provide an easy way to verify the
    authenticity of an RPM package. Use the command

      rpm -v --checksig <file.rpm>

    to verify the signature of the package, replacing <file.rpm> with the
    filename of the RPM package downloaded. The package is unmodified if it
    contains a valid signature from build@suse.de with the key ID 9C800ACA.

    This key is automatically imported into the RPM database (on RPMv4-based
    distributions) and the gpg key ring of 'root' during installation. You can
    also find it on the first installation CD and included at the end of this
    announcement.

  - SUSE runs two security mailing lists to which any interested party may
    subscribe:

    opensuse-security@opensuse.org
        -   General Linux and SUSE security discussion.
            All SUSE security announcements are sent to this list.
            To subscribe, send an e-mail to
                <opensuse-security+subscribe@opensuse.org>.

    suse-security-announce@suse.com
        -   SUSE's announce-only mailing list.
            Only SUSE's security announcements are sent to this list.
            To subscribe, send an e-mail to
                <suse-security-announce-subscribe@suse.com>.

    =====================================================================
    SUSE's security contact is <security@suse.com> or <security@suse.de>.
    The <security@suse.de> public key is listed below.
    =====================================================================
______________________________________________________________________________

    The information in this advisory may be distributed or reproduced,
    provided that the advisory is not modified in any way. In particular, the
    clear text signature should show proof of the authenticity of the text.

    SUSE Linux Products GmbH provides no warranties of any kind whatsoever
    with respect to the information contained in this security advisory.

Type Bits/KeyID     Date       User ID
pub  2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@suse.de>
pub  1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@suse.de>

- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.2 (GNU/Linux)

mQENAzbhLQQAAAEIAKAkXHe0lWRBXLpn38hMHy03F0I4Sszmoc8aaKJrhfhyMlOA
BqvklPLE2f9UrI4Xc860gH79ZREwAgPt0pi6+SleNFLNcNFAuuHMLQOOsaMFatbz
JR9i4m/lf6q929YROu5zB48rBAlcfTm+IBbijaEdnqpwGib45wE/Cfy6FAttBHQh
1Kp+r/jPbf1mYAvljUfHKuvbg8t2EIQz/5yGp+n5trn9pElfQO2cRBq8LFpf1l+U
P7EKjFmlOq+Gs/fF98/dP3DfniSd78LQPq5vp8RL8nr/o2i7jkAQ33m4f1wOBWd+
cZovrKXYlXiR+Bf7m2hpZo+/sAzhd7LmAD0l09kABRG0JVN1U0UgU2VjdXJpdHkg
VGVhbSA8c2VjdXJpdHlAc3VzZS5kZT6JARUDBRA24S1H5Fiyh7HKPEUBAVcOB/9b
yHYji1/+4Xc2GhvXK0FSJN0MGgeXgW47yxDL7gmR4mNgjlIOUHZj0PEpVjWepOJ7
tQS3L9oP6cpj1Fj/XxuLbkp5VCQ61hpt54coQAvYrnT9rtWEGN+xmwejT1WmYmDJ
xG+EGBXKr+XP69oIUl1E2JO3rXeklulgjqRKos4cdXKgyjWZ7CP9V9daRXDtje63
Om8gwSdU/nCvhdRIWp/Vwbf7Ia8iZr9OJ5YuQl0DBG4qmGDDrvImgPAFkYFzwlqo
choXFQ9y0YVCV41DnR+GYhwl2qBd81T8aXhihEGPIgaw3g8gd8B5o6mPVgl+nJqI
BkEYGBusiag2pS6qwznZiQEVAwUQNuEtBHey5gA9JdPZAQFtOAf+KVh939b0J94u
v/kpg4xs1LthlhquhbHcKNoVTNspugiC3qMPyvSX4XcBr2PC0cVkS4Z9PY9iCfT+
x9WM96g39dAF+le2CCx7XISk9XXJ4ApEy5g4AuK7NYgAJd39PPbERgWnxjxir9g0
Ix30dS30bW39D+3NPU5Ho9TD/B7UDFvYT5AWHl3MGwo3a1RhTs6sfgL7yQ3U+mvq
MkTExZb5mfN1FeaYKMopoI4VpzNVeGxQWIz67VjJHVyUlF20ekOz4kWVgsxkc8G2
saqZd6yv2EwqYTi8BDAduweP33KrQc4KDDommQNDOXxaKOeCoESIdM4p7Esdjq1o
L0oixF12CohGBBARAgAGBQI7HmHDAAoJEJ5A4xAACqukTlQAoI4QzP9yjPohY7OU
F7J3eKBTzp25AJ42BmtSd3pvm5ldmognWF3Trhp+GYkAlQMFEDe3O8IWkDf+zvyS
FQEBAfkD/3GG5UgJj18UhYmh1gfjIlDcPAeqMwSytEHDENmHC+vlZQ/p0mT9tPiW
tp34io54mwr+bLPN8l6B5GJNkbGvH6M+mO7R8Lj4nHL6pyAv3PQr83WyLHcaX7It
Klj371/4yzKV6qpz43SGRK4MacLo2rNZ/dNej7lwPCtzCcFYwqkiiEYEEBECAAYF
AjoaQqQACgkQx1KqMrDf94ArewCfWnTUDG5gNYkmHG4bYL8fQcizyA4An2eVo/n+
3J2KRWSOhpAMsnMxtPbBmQGiBDnu9IERBACT8Y35+2vv4MGVKiLEMOl9GdST6MCk
YS3yEKeueNWc+z/0Kvff4JctBsgs47tjmiI9sl0eHjm3gTR8rItXMN6sJEUHWzDP
+Y0PFPboMvKx0FXl/A0dM+HFrruCgBlWt6FA+okRySQiliuI5phwqkXefl9AhkwR
8xocQSVCFxcwvwCglVcOQliHu8jwRQHxlRE0tkwQQI0D+wfQwKdvhDplxHJ5nf7U
8c/yE/vdvpN6lF0tmFrKXBUX+K7u4ifrZlQvj/81M4INjtXreqDiJtr99Rs6xa0S
cZqITuZC4CWxJa9GynBED3+D2t1V/f8l0smsuYoFOF7Ib49IkTdbtwAThlZp8bEh
ELBeGaPdNCcmfZ66rKUdG5sRA/9ovnc1krSQF2+sqB9/o7w5/q2qiyzwOSTnkjtB
UVKn4zLUOf6aeBAoV6NMCC3Kj9aZHfA+ND0ehPaVGJgjaVNFhPi4x0e7BULdvgOo
AqajLfvkURHAeSsxXIoEmyW/xC1sBbDkDUIBSx5oej73XCZgnj/inphRqGpsb+1n
KFvF+rQoU3VTRSBQYWNrYWdlIFNpZ25pbmcgS2V5IDxidWlsZEBzdXNlLmRlPohi
BBMRAgAiBQJA2AY+AhsDBQkObd+9BAsHAwIDFQIDAxYCAQIeAQIXgAAKCRCoTtro
nIAKypCfAJ9RuZ6ZSV7QW4pTgTIxQ+ABPp0sIwCffG9bCNnrETPlgOn+dGEkAWeg
KL+IRgQQEQIABgUCOnBeUgAKCRCeQOMQAAqrpNzOAKCL512FZvv4VZx94TpbA9lx
yoAejACeOO1HIbActAevk5MUBhNeLZa/qM2JARUDBRA6cGBvd7LmAD0l09kBATWn
B/9An5vfiUUE1VQnt+T/EYklES3tXXaJJp9pHMa4fzFa8jPVtv5UBHGee3XoUNDV
wM2OgSEISZxbzdXGnqIlcT08TzBUD9i579uifklLsnr35SJDZ6ram51/CWOnnaVh
UzneOA9gTPSr+/fT3WeVnwJiQCQ30kNLWVXWATMnsnT486eAOlT6UNBPYQLpUprF
5Yryk23pQUPAgJENDEqeU6iIO9Ot1ZPtB0lniw+/xCi13D360o1tZDYOp0hHHJN3
D3EN8C1yPqZd5CvvznYvB6bWBIpWcRgdn2DUVMmpU661jwqGlRz1F84JG/xe4jGu
zgpJt9IXSzyohEJB6XG5+D0BuQINBDnu9JIQCACEkdBN6Mxf5WvqDWkcMRy6wnrd
9DYJ8UUTmIT2iQf07tRUKJJ9v0JXfx2Z4d08IQSMNRaq4VgSe+PdYgIy0fbj23Vi
a5/gO7fJEpD2hd2f+pMnOWvH2rOOIbeYfuhzAc6BQjAKtmgR0ERUTafTM9Wb6F13
CNZZNZfDqnFDP6L12w3z3F7FFXkz07Rs3AIto1ZfYZd4sCSpMr/0S5nLrHbIvGLp
271hhQBeRmmoGEKO2JRelGgUJ2CUzOdtwDIKT0LbCpvaP8PVnYF5IFoYJIWRHqlE
t5ucTXstZy7vYjL6vTP4l5xs+LIOkNmPhqmfsgLzVo0UaLt80hOwc4NvDCOLAAMG
B/9g+9V3ORzw4LvO1pwRYJqfDKUq/EJ0rNMMD4N8RLpZRhKHKJUm9nNHLbksnlZw
rbSTM5LpC/U6sheLP+l0bLVoq0lmsCcUSyh+mY6PxWirLIWCn/IAZAGnXb6Zd6Tt
IJlGG6pqUN8QxGJYQnonl0uTJKHJENbI9sWHQdcTtBMc34gorHFCo1Bcvpnc1LFL
rWn7mfoGx6INQjf3HGQpMXAWuSBQhzkazY6vaWFpa8bBJ+gKbBuySWzNm3rFtT5H
RKMWpO+M9bHp4d+puY0L1YwN1OMatcMMpcWnZpiWiR83oi32+xtWUY2U7Ae38mMa
g8zFbpeqPQUsDv9V7CAJ1dbriEwEGBECAAwFAkDYBnoFCQ5t3+gACgkQqE7a6JyA
CspnpgCfRbYwxT3iq+9l/PgNTUNTZOlof2oAn25y0eGi0371jap9kOV6uq71sUuO
=ypVs
- -----END PGP PUBLIC KEY BLOCK-----

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRnvh2Hey5gA9JdPZAQL0jwf/dqO72QyFIhj9ni9yLOiEujj3mco375KH
8Js6Vd1ApGaeZOjgF190MWSmSdqzECvCcYRXOfxFU/e3IdHI+dXVjY2RgNQCE8oh
GcLxCNkqiAyuSDcwZDlWMsB/XBn8eJru95gY7TLnGfe7Af/X7yoYmrk5zSIRdce+
Ur/+9o6oL+yJviLB/VCABOzhBJe+oy081WS8t92N3hkEQKkU6JAVhM5qeU5ffHnc
TG3kdnzjw9EKtIeuAgNQzZ6WZkUn9PpwSrGN3qxB9JhSVXgioxOl0NN6CdRFLrI+
1fkqc9bq/SfsTqHmCBd+BjnZWs6nJ5k59bnvgti27WiVEo30bg2ghg==
=rO/T
-----END PGP SIGNATURE-----